Freeciv-3.3: civ_game Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
civ_game Struct Reference

`#include <game.h>`

## Data Fields

struct packet_ruleset_control | control
char * | ruleset_summary
char * | ruleset_description
char * | ruleset_capabilities
struct packet_scenario_info | scenario
struct packet_scenario_description | scenario_desc
struct packet_game_info | info
struct packet_calendar_info | calendar
struct packet_timeout_info | tinfo
struct government * | default_government
struct government * | government_during_revolution
struct conn_list * | all_connections
struct conn_list * | est_connections
struct conn_list * | glob_observers
struct conn_list * | web_client_connections
struct veteran_system * | veteran
struct rgbcolor * | plr_bg_color
struct { |
int global_init_techs [MAX_NUM_TECH_LIST] |
int global_init_buildings [MAX_NUM_BUILDING_LIST] |
} | rgame |
union { |
struct { |
bool ruleset_init |
bool ruleset_ready |
} client |
struct { |
enum city_names_mode allowed_city_names |
enum plrcolor_mode plrcolormode |
int aqueductloss |
bool auto_ai_toggle |
bool autoattack |
int autoupgrade_veteran_loss |
enum barbarians_rate barbarianrate |
int base_incite_cost |
int civilwarsize |
int conquercost |
int contactturns |
int diplchance |
int diplbulbcost |
int diplgoldcost |
int incite_gold_loss_chance |
int incite_gold_capt_chance |
int dispersion |
int end_turn |
bool endspaceship |
bool fixedlength |
bool foggedborders |
int freecost |
int incite_improvement_factor |
int incite_total_factor |
int incite_unit_factor |
int init_vis_radius_sq |
int kick_time |
int killunhomed |
int maxconnectionsperhost |
int max_players |
char nationset [MAX_LEN_NAME] |
int mgr_distance |
bool mgr_foodneeded |
int mgr_nationchance |
int mgr_turninterval |
int mgr_worldchance |
bool multiresearch |
bool migration |
enum trait_dist_mode trait_dist |
int min_players |
bool natural_city_names |
int netwait |
int num_phases |
int occupychance |
int onsetbarbarian |
int pingtime |
int pingtimeout |
bool ip_hide |
int ransom_gold |
int razechance |
unsigned revealmap |
int revolution_length |
int spaceship_travel_pct |
bool threaded_save |
int save_compress_level |
enum fz_method save_compress_type |
int save_nturns |
int save_frequency |
unsigned autosaves |
bool savepalace |
bool homecaughtunits |
char start_units [MAX_LEN_STARTUNIT] |
bool start_city |
int start_year |
int techloss_restore |
int techlost_donor |
int techlost_recv |
int tcptimeout |
int techpenalty |
bool turnblock |
int unitwaittime |
int upgrade_veteran_loss |
bool vision_reveal_tiles |
bool debug [DEBUG_LAST] |
int timeoutint |
int timeoutinc |
int timeoutincmult |
int timeoutintinc |
int timeoutcounter |
int timeoutaddenemymove |
time_t last_ping |
struct timer * phase_timer |
int additional_phase_seconds |
int phase_mode_stored |
struct timer * save_timer |
float turn_change_time |
char connectmsg [MAX_LEN_MSG] |
char save_name [MAX_LEN_NAME] |
char orig_game_version [MAX_LEN_NAME] |
bool scorelog |
enum scorelog_level scoreloglevel |
char scorefile [MAX_LEN_PATH] |
int scoreturn |
randseed seed_setting |
randseed seed |
bool global_warming |
int global_warming_percent |
bool nuclear_winter |
int nuclear_winter_percent |
bool fogofwar_old |
bool last_updated_year |
int world_peace_start |
char rulesetdir [MAX_LEN_NAME] |
char demography [MAX_LEN_DEMOGRAPHY] |
char allow_take [MAX_LEN_ALLOW_TAKE] |
bool settings_gamestart_valid |
struct rgbcolor_list * plr_colors |
struct section_file * luadata |
int dbid |
struct { |
int turns |
int max_size |
bool chat |
bool info |
} event_cache |
struct { |
bool save_known |
bool save_starts |
bool save_private_map |
} save_options |
struct { |
char user_message [256] |
char type [20] |
} meta_info |
struct { |
fc_mutex city_list |
} mutexes |
struct trait_limits default_traits [TRAIT_COUNT] |
struct player * random_move_time |
char default_ai_type_name [256] |
struct { |
char * description_file |
char * nationlist |
char ** embedded_nations |
size_t embedded_nations_count |
const char ** allowed_govs |
char ** nc_agovs |
size_t ag_count |
const char ** allowed_terrains |
char ** nc_aterrs |
size_t at_count |
const char ** allowed_styles |
char ** nc_astyles |
size_t as_count |
int named_teams |
} ruledit |
} server |
}; |  |
struct { |
void(* unit_deallocate )(int unit_id) |
} | callbacks |

## Detailed Description

Definition at line 82 of file game.h.

## Field Documentation

## ◆ [union]

union { ... } civ_game

## ◆ additional_phase_seconds

int civ_game::additional_phase_seconds

Definition at line 212 of file game.h.

Referenced by game_defaults(), send_game_info(), server_sniff_all_input(), sg_load_game(), sg_save_game(), and srv_running().

## ◆ ag_count

size_t civ_game::ag_count

Definition at line 287 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ all_connections

struct conn_list* civ_game::all_connections

Definition at line 96 of file game.h.

Referenced by check_player_or_user_name(), client_exit(), client_main(), client_remove_all_cli_conn(), client_remove_cli_conn(), close_connection(), close_connections_and_socket(), conn_by_number(), conn_by_user(), conn_by_user_prefix(), connection_accessor(), cut_lagging_connection(), get_player_or_user_name(), handle_conn_info(), handle_login_request(), init_connections(), is_plain_public_message(), kick_command(), really_close_connections(), server_accept_connection(), server_make_connection(), server_sniff_all_input(), show_connections(), and fc_client::update_start_page().

## ◆ allow_take

char civ_game::allow_take[MAX_LEN_ALLOW_TAKE]

Definition at line 241 of file game.h.

Referenced by game_defaults(), and is_allowed_to_take().

## ◆ allowed_city_names

enum city_names_mode civ_game::allowed_city_names

Definition at line 127 of file game.h.

Referenced by game_defaults(), is_allowed_city_name(), and transfer_city().

## ◆ allowed_govs

const char** civ_game::allowed_govs

Definition at line 285 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ allowed_styles

const char** civ_game::allowed_styles

Definition at line 291 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ allowed_terrains

const char** civ_game::allowed_terrains

Definition at line 288 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_city_name_list(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ aqueductloss

int civ_game::aqueductloss

Definition at line 129 of file game.h.

Referenced by city_increase_size(), and game_defaults().

## ◆ as_count

size_t civ_game::as_count

Definition at line 293 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ at_count

size_t civ_game::at_count

Definition at line 290 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), and save_nations_ruleset().

## ◆ auto_ai_toggle

bool civ_game::auto_ai_toggle

Definition at line 130 of file game.h.

Referenced by connection_attach_real(), connection_detach(), game_defaults(), and srv_ready().

## ◆ autoattack

bool civ_game::autoattack

Definition at line 131 of file game.h.

Referenced by game_defaults(), and unit_survive_autoattack().

## ◆ autosaves

unsigned civ_game::autosaves

Definition at line 185 of file game.h.

Referenced by autosaves_callback(), save_game_auto(), server_sniff_all_input(), and srv_running().

## ◆ autoupgrade_veteran_loss

int civ_game::autoupgrade_veteran_loss

Definition at line 132 of file game.h.

Referenced by do_upgrade_effects(), load_ruleset_game(), and save_game_ruleset().

## ◆ barbarianrate

enum barbarians_rate civ_game::barbarianrate

Definition at line 133 of file game.h.

Referenced by game_defaults(), summon_barbarians(), try_summon_barbarians(), and unleash_barbarians().

## ◆ base_incite_cost

int civ_game::base_incite_cost

Definition at line 134 of file game.h.

Referenced by city_incite_cost(), load_ruleset_game(), and save_game_ruleset().

## ◆ calendar

struct packet_calendar_info civ_game::calendar

Definition at line 90 of file game.h.

Referenced by calendar_text(), game_defaults(), game_next_year(), game_ruleset_free(), handle_calendar_info(), load_ruleset_game(), sanity_check_req_individual(), save_game_ruleset(), send_game_info(), textcalfrag(), textyear(), tri_req_active_turns(), and year_suffix().

## ◆ [struct]

struct { ... } civ_game::callbacks

Referenced by game_remove_unit(), and srv_init().

## ◆ chat

bool civ_game::chat

Definition at line 253 of file game.h.

Referenced by event_cache_data_new(), and game_defaults().

## ◆ city_list

fc_mutex civ_game::city_list

Definition at line 271 of file game.h.

Referenced by create_city(), remove_city(), server_quit(), srv_init(), and texai_check_messages().

## ◆ civilwarsize

int civ_game::civilwarsize

Definition at line 135 of file game.h.

Referenced by civil_war_possible(), and game_defaults().

## ◆ [struct]

struct { ... } civ_game::client

Referenced by client_game_free(), client_main(), handle_ruleset_control(), handle_rulesets_ready(), insert_generated_text(), real_menus_init(), and tilespec_reread().

## ◆ connectmsg

char civ_game::connectmsg[MAX_LEN_MSG]

Definition at line 219 of file game.h.

Referenced by connectmsg_command(), game_defaults(), and handle_login_request().

## ◆ conquercost

int civ_game::conquercost

Definition at line 136 of file game.h.

Referenced by api_edit_give_technology(), dai_effect_value(), game_defaults(), and steal_a_tech().

## ◆ contactturns

int civ_game::contactturns

Definition at line 137 of file game.h.

Referenced by game_defaults(), and make_contact().

## ◆ control

struct packet_ruleset_control civ_game::control

Definition at line 83 of file game.h.

Referenced by achievement_by_number(), tab_achievement::add_now(), tab_counter::add_now(), tab_extras::add_now(), tab_good::add_now(), tab_gov::add_now(), tab_multiplier::add_now(), tab_tech::add_now(), tab_terrains::add_now(), tab_unit::add_now(), tab_building::add_now2(), advance_array_last(), advance_by_number(), advance_count_real(), api_methods_game_ruleset_name(), base_count(), basic_city_style_for_style(), boot_help_texts(), city_style(), city_style_by_rule_name(), city_style_by_translated_name(), city_styles_alloc(), city_styles_free(), edit_extra::closeEvent(), edit_terrain::closeEvent(), counter_by_id(), counter_by_rule_name(), counter_by_translated_name(), counters_free(), counters_init(), disaster_by_number(), disaster_count(), edit_extra::edit_extra(), edit_terrain::edit_terrain(), editor_tool_is_usable(), extra_count(), extras_free(), fill_basic_base_sprite_array(), fill_basic_road_sprite_array(), game_defaults(), goods_by_number(), government_by_number(), government_count(), governments_alloc(), governments_free(), handle_achievement_info(), handle_edit_tile_extra(), handle_nation_select_req(), handle_player_info(), handle_ruleset_city(), handle_ruleset_control(), handle_ruleset_description_part(), handle_ruleset_music(), handle_ruleset_tech(), handle_set_topology(), handle_unit_change_activity(), helptext_advance(), improvement_array_first(), improvement_array_last(), improvement_count(), is_universal_needed(), load_building_names(), load_city_sprite(), load_game_names(), load_government_names(), load_nation_names(), load_ruleset_cities(), load_ruleset_game(), load_ruleset_nations(), load_ruleset_styles(), load_ruleset_techs(), load_ruleset_terrain(), load_style_names(), load_tech_names(), load_terrain_names(), load_unit_names(), main(), manual_extras(), manual_governments(), manual_improvements(), manual_techs(), manual_terrain(), manual_units(), multiplier_by_number(), multiplier_count(), music_style_by_number(), musicset_suggestion_callback(), musicset_suggestion_response(), nation_by_number(), nation_count(), nation_group_by_number(), nation_group_new(), nation_set_by_number(), nation_set_new(), nations_alloc(), nations_free(), popup_musicset_suggestion_dialog(), popup_soundset_suggestion_dialog(), popup_tileset_suggestion_dialog(), qtg_real_science_report_dialog_update(), tab_misc::refresh(), tab_misc::refresh_stats(), research_get_reachable_rreqs(), road_count(), sanity_check_ruleset_data(), save_game_ruleset(), save_nation(), tab_misc::save_now(), save_styles_ruleset(), save_techs_ruleset(), send_ruleset_cities(), send_ruleset_control(), send_ruleset_terrain(), sg_load_savefile(), sg_load_savefile(), sg_save_game(), sg_save_map_tiles_extras(), sg_save_player_vision(), sg_save_researches(), sg_save_savefile(), show_tech_gained_dialog(), soundset_suggestion_callback(), soundset_suggestion_response(), specialist_by_number(), specialist_count(), style_by_number(), style_count(), tech_class_by_number(), tech_class_by_rule_name(), terrain_array_first(), terrain_array_last(), terrain_by_number(), terrain_count(), tileset_ruleset_reset(), tileset_setup_city_tiles(), tileset_suggestion_callback(), tileset_suggestion_response(), tilespec_reread(), uclass_by_number(), uclass_count(), unit_class_array_first(), unit_class_array_last(), unit_order_list_is_sane(), unit_type_array_first(), unit_type_array_last(), universal_value_initial(), utype_by_number(), and utype_count().

## ◆ dbid

int civ_game::dbid

Definition at line 248 of file game.h.

Referenced by game_ruleset_init(), sg_load_savefile(), sg_save_savefile(), and srv_ready().

## ◆ debug

bool civ_game::debug[DEBUG_LAST]

Definition at line 202 of file game.h.

Referenced by debug_command(), and game_defaults().

## ◆ default_ai_type_name

char civ_game::default_ai_type_name[256]

Definition at line 278 of file game.h.

Referenced by ai_init().

## ◆ default_government

struct government* civ_game::default_government

Definition at line 93 of file game.h.

Referenced by handle_game_info(), init_government_of_nation(), load_ruleset_nations(), sanity_check_ruleset_data(), and save_nations_ruleset().

## ◆ default_traits

struct trait_limits civ_game::default_traits[TRAIT_COUNT]

Definition at line 274 of file game.h.

Referenced by load_ruleset_nations(), save_nation(), and save_nations_ruleset().

## ◆ demography

char civ_game::demography[MAX_LEN_DEMOGRAPHY]

Definition at line 240 of file game.h.

Referenced by game_defaults(), and report_demographics().

## ◆ description_file

char* civ_game::description_file

Definition at line 281 of file game.h.

Referenced by tab_misc::flush_widgets(), game_ruleset_free(), load_ruleset_game(), tab_misc::ruleset_loaded(), and save_game_ruleset().

## ◆ diplbulbcost

int civ_game::diplbulbcost

Definition at line 139 of file game.h.

Referenced by api_edit_give_technology(), game_defaults(), and handle_diplomacy_accept_treaty_req().

## ◆ diplchance

int civ_game::diplchance

Definition at line 138 of file game.h.

Referenced by action_target_neg_util(), dai_choose_diplomat_offensive(), diplomat_escape_full(), and game_defaults().

## ◆ diplgoldcost

int civ_game::diplgoldcost

Definition at line 140 of file game.h.

Referenced by dai_goldequiv_clause(), game_defaults(), and handle_diplomacy_accept_treaty_req().

## ◆ dispersion

int civ_game::dispersion

Definition at line 143 of file game.h.

Referenced by find_dispersed_position(), and game_defaults().

## ◆ embedded_nations

char** civ_game::embedded_nations

Definition at line 283 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), sanity_check_ruleset_data(), and save_nations_ruleset().

## ◆ embedded_nations_count

size_t civ_game::embedded_nations_count

Definition at line 284 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), load_ruleset_nations(), sanity_check_ruleset_data(), and save_nations_ruleset().

## ◆ end_turn

int civ_game::end_turn

Definition at line 144 of file game.h.

Referenced by check_for_game_over(), game_defaults(), and srv_running().

## ◆ endspaceship

bool civ_game::endspaceship

Definition at line 145 of file game.h.

Referenced by check_for_game_over(), and game_defaults().

## ◆ est_connections

struct conn_list* civ_game::est_connections

Definition at line 97 of file game.h.

Referenced by a_connection_exists(), announce_player(), autotoggle_action(), away_command(), begin_phase(), broadcast_city_info(), chat_msg_to_all(), chat_msg_to_global_observers(), check_for_game_over(), check_leaving_edit_mode(), client_exit(), client_main(), client_remove_cli_conn(), close_connection(), close_connections_and_socket(), cmd_reply_line(), cmdlevel_command(), con_handle_log(), connection_attach_real(), connection_detach(), count_voters(), create_command_pregame(), debug_command(), edithand_send_initial_packets(), end_command(), end_turn(), establish_new_connection(), handle_conn_info(), handle_edit_city(), handle_edit_city_create(), handle_edit_player_vision(), handle_edit_startpos(), handle_edit_startpos_full(), handle_edit_tile_extra(), handle_edit_tile_terrain(), handle_edit_toggle_fogofwar(), handle_edit_unit_create(), handle_nation_select_req(), handle_player_info(), handle_stdin_input_real(), init_connections(), is_first_access_level_taken(), kick_command(), kill_player(), load_command(), lost_connection_to_client(), lsend_vote_new(), lsend_vote_remove(), lsend_vote_resolve(), lsend_vote_update(), make_history_report(), nationset_action(), notify_conn(), notify_conn_early(), notify_conn_packet(), notify_team(), player_info_thaw(), playernation_command(), popup_conn_list_dialog(), real_conn_list_dialog_update(), really_close_connections(), remove_city(), remove_player_from_maps(), report_final_scores(), reset_all_start_commands(), reset_command(), see_combat(), send_all_known_tiles(), send_city_info_at_tile(), send_city_turn_notifications(), send_combat(), send_conn_info_arg(), send_game_info(), send_ping_times_to_all(), send_player_diplstate_c_real(), send_player_info_c_real(), send_player_remove_info_c(), send_research_info(), send_scenario_description(), send_scenario_info(), send_server_setting(), send_spaceship_info(), send_tile_info(), send_unit_info(), send_updated_vote_totals(), send_year_to_clients(), server_remove_player(), server_remove_unit_full(), server_sniff_all_input(), set_command(), set_rulesetdir(), spy_nuke_city(), srv_main(), srv_ready(), srv_running(), srv_scores(), start_game(), surrender_command(), toggle_ai_command(), topology_action(), unit_move(), unit_nuke(), fc_client::update_start_page(), update_tile_knowledge(), update_timeout(), chat_listener::update_word_list(), and wrap_action().

## ◆ [struct]

struct { ... } civ_game::event_cache

Referenced by event_cache_add_for_all(), event_cache_add_for_global_observers(), event_cache_add_for_player(), event_cache_add_for_players(), event_cache_data_new(), event_cache_match(), event_cache_remove_old(), game_defaults(), and send_pending_events().

## ◆ fixedlength

bool civ_game::fixedlength

Definition at line 146 of file game.h.

Referenced by check_for_full_turn_done().

## ◆ foggedborders

bool civ_game::foggedborders

Definition at line 147 of file game.h.

Referenced by game_defaults(), map_change_seen(), send_tile_info(), sg_load_player_vision(), sg_load_player_vision(), and sg_save_player_vision().

## ◆ fogofwar_old

bool civ_game::fogofwar_old

Definition at line 234 of file game.h.

Referenced by begin_turn(), game_defaults(), player_tile_init(), sg_load_settings(), sg_load_settings(), and srv_ready().

## ◆ freecost

int civ_game::freecost

Definition at line 148 of file game.h.

Referenced by api_edit_give_technology(), dai_effect_value(), do_tech_parasite_effects(), game_defaults(), and give_immediate_free_tech().

## ◆ glob_observers

struct conn_list* civ_game::glob_observers

Definition at line 98 of file game.h.

Referenced by city_counters_refresh(), clear_worker_task(), close_connection(), close_connections_and_socket(), connection_attach_real(), init_connections(), package_and_send_worker_tasks(), and really_close_connections().

## ◆ global_init_buildings

int civ_game::global_init_buildings[MAX_NUM_BUILDING_LIST]

Definition at line 109 of file game.h.

Referenced by city_build_free_buildings(), handle_ruleset_game(), helptext_building(), helptext_nation(), load_ruleset_game(), save_game_ruleset(), and send_ruleset_game().

## ◆ global_init_techs

int civ_game::global_init_techs[MAX_NUM_TECH_LIST]

Definition at line 108 of file game.h.

Referenced by give_initial_techs(), handle_ruleset_game(), helptext_advance(), helptext_nation(), load_ruleset_game(), nation_has_initial_tech(), sanity_check_ruleset_data(), save_game_ruleset(), and send_ruleset_game().

## ◆ global_warming

bool civ_game::global_warming

Definition at line 229 of file game.h.

## ◆ global_warming_percent

int civ_game::global_warming_percent

Definition at line 230 of file game.h.

Referenced by end_turn(), and game_defaults().

## ◆ government_during_revolution

struct government* civ_game::government_during_revolution

Definition at line 94 of file game.h.

Referenced by add_tax_income(), adv_best_government(), gov_menu::create(), dai_go_to_war(), dai_manage_taxes(), end_phase(), final_ruleset_adjustments(), game_ruleset_free(), get_economy_report_data(), get_tax_rates(), government_change(), handle_edit_player(), handle_game_info(), handle_player_change_government(), load_ruleset_governments(), package_player_info(), popup_government_dialog(), real_menus_init(), real_menus_update(), revolution_length(), sanity_check_ruleset_data(), save_governments_ruleset(), split_player(), universal_value_initial(), gov_menu::update(), and update_revolution().

## ◆ homecaughtunits

bool civ_game::homecaughtunits

Definition at line 188 of file game.h.

Referenced by do_capture_units(), and game_defaults().

## ◆ incite_gold_capt_chance

int civ_game::incite_gold_capt_chance

Definition at line 142 of file game.h.

Referenced by diplomat_may_lose_gold(), and game_defaults().

## ◆ incite_gold_loss_chance

int civ_game::incite_gold_loss_chance

Definition at line 141 of file game.h.

Referenced by diplomat_may_lose_gold(), and game_defaults().

## ◆ incite_improvement_factor

int civ_game::incite_improvement_factor

Definition at line 149 of file game.h.

Referenced by action_target_neg_util(), city_incite_cost(), load_ruleset_game(), and save_game_ruleset().

## ◆ incite_total_factor

int civ_game::incite_total_factor

Definition at line 150 of file game.h.

Referenced by action_target_neg_util(), city_incite_cost(), load_ruleset_game(), and save_game_ruleset().

## ◆ incite_unit_factor

int civ_game::incite_unit_factor

Definition at line 151 of file game.h.

Referenced by action_target_neg_util(), city_incite_cost(), load_ruleset_game(), and save_game_ruleset().

## ◆ info [1/2]

struct packet_game_info civ_game::info

Definition at line 89 of file game.h.

Referenced by action_dice_roll_initial_odds(), action_hard_reqs_actor(), actres_possible(), add_tax_income(), adjust_improvement_wants_by_effects(), aifill(), diplo_wdg::all_advances(), api_methods_city_inspire_partisans(), api_methods_game_turn(), api_methods_game_turn_deprecated(), api_methods_game_year(), api_methods_game_year_fragment(), api_methods_player_tech_cost(), api_methods_tech_cost_style(), api_methods_tech_leakage_style(), auto_workers_player(), base_assess_defense_unit(), base_city_celebrating(), base_want(), begin_phase(), begin_turn(), blink_turn_done_button(), build_landarea_map(), calendar_text(), can_cities_trade(), can_conn_edit(), can_conn_edit_players_nation(), can_end_turn(), can_exist_at_tile(), check_city_migrations_player(), check_disasters(), check_for_game_over(), check_leaving_edit_mode(), choice_is_promising(), choose_tech_to_steal(), citizen_convert_check(), citizen_happiness_nationality(), citizen_luxury_happy(), citizens_convert(), citizens_convert_conquest(), citizens_count(), citizens_init(), citizens_nation_add(), citizens_nation_get(), citizens_nation_set(), citizens_print(), citizens_unit_nationality(), citizens_update(), city_add_improvement(), city_build_building(), city_build_unit(), city_built_last_turn(), city_can_buy(), city_create_unit(), city_desirability(), city_destroy_callback(), city_dialog_update_information(), city_dialog_update_information(), city_distribute_surplus_shields(), city_from_great_wonder(), city_granary_size(), city_had_recent_plague(), city_happy(), city_history_gain(), city_illness_calc(), city_illness_strike(), city_incite_cost(), city_map_update_radius_sq(), city_migration_score(), city_pollution_types(), city_populate(), city_rapture_grow(), city_support(), city_tile_output(), city_waste(), citymindist_prevents_city_on_tile(), cityresult_fill(), cityresult_new(), civil_war_possible(), civil_war_triggered(), clause_enabled(), combat_veterans(), compat_load_030300(), connection_attach_real(), connection_detach(), cr_entry_plague_risk(), create_advances_list(), create_and_append_happiness_page(), create_animals(), create_barbarian_player(), create_city_virtual(), create_clause_menu(), create_command_newcomer(), create_command_pregame(), create_conn_menu(), create_event(), current_turn_timeout(), dai_build_adv_adjust(), dai_calc_data(), dai_choose_trade_route(), dai_diplomacy_actions(), dai_effect_value(), dai_go_to_war(), dai_goldequiv_clause(), dai_goldequiv_tech(), dai_is_unit_tired_waiting_boat(), dai_manage_cities(), dai_manage_government(), dai_manage_taxes(), dai_share(), dai_tech_base_want(), dai_treaty_evaluate(), dai_unit_defense_desirability(), debug_command(), diplomacy_dialog_tech_callback(), diplomacy_dialog_tech_callback(), diplomacy_possible(), diplomat_get_tech(), diplomat_infiltrate_tile(), do_airline(), do_border_vision_effect(), do_city_migration(), do_nuke_tile(), do_tech_parasite_effects(), do_unit_establish_trade(), edit_mode_callback(), end_phase(), end_turn(), endturn_callback(), establish_new_connection(), evaluate_solution(), event_cache_add_for_player(), event_cache_add_for_players(), event_cache_match(), event_cache_remove_old(), expl_act_not_enabl(), extviewer_view_cell_toggled(), fill_city_overlays_sprite_array(), fill_grid_sprite_array(), first_timeout_action(), food_starvation(), found_new_tech(), game_advance_year(), game_defaults(), game_map_init(), game_was_started(), generate_save_name(), get_airlift_text(), get_caravan_enter_city_trade_bonus(), get_city_dialog_airlift_text(), get_city_dialog_airlift_value(), get_city_dialog_illness_text(), get_entertainers(), get_global_warming_tooltip(), get_info_label_text(), get_info_label_text_popup(), get_modified_firepower(), get_nuclear_winter_tooltip(), get_tax_rates(), get_trade_illness(), get_unit_info_label_text2(), global_warming_scaled(), government_change(), great_wonder_is_available(), great_wonder_is_built(), great_wonder_is_destroyed(), great_wonder_owner(), handle_city_nationalities(), handle_city_short_info(), handle_diplomacy_accept_treaty_req(), handle_edit_mode(), handle_edit_player(), handle_edit_toggle_fogofwar(), handle_end_phase(), handle_end_turn(), handle_event(), handle_game_info(), handle_game_load(), handle_new_year(), handle_player_change_government(), handle_player_phase_done(), handle_spaceship_launch(), handle_start_phase(), handle_tile_info(), handle_unit_orders(), handle_unit_packet_common(), helptext_advance(), helptext_extra(), helptext_government(), helptext_unit(), historian_generic(), img_createmap(), img_new(), impr_base_build_shield_cost(), impr_build_shield_cost(), impr_estimate_build_shield_cost(), impr_sell_gold(), init_tech(), initialize_globals(), is_age_req_active(), is_allowed_to_take(), is_form_age_req_active(), is_mincalfrag_req_active(), is_mintechs_req_active(), is_minyear_req_active(), is_player_phase(), is_stack_vulnerable(), is_tech_req_active(), is_tired_attack(), key_editor_toggle(), kill_player(), load_command(), load_ruleset_actions(), load_ruleset_cities(), load_ruleset_game(), load_ruleset_governments(), load_ruleset_nations(), load_rulesetdir(), log_civ_score_now(), lose_tech(), main(), make_contact(), make_history_report(), manual_command(), map_calculate_borders(), map_change_seen(), map_claim_base(), map_claim_border(), map_claim_border_ownership(), map_update_border(), mapimg_create(), mr_menu::menus_sensitive(), min_food_surplus_for_fastest_growth(), multiplier_can_be_changed(), name_and_sort_items(), nation_history_gain(), plr_widget::nation_selected(), nationset_action(), nuclear_winter_scaled(), package_city(), package_event_full(), package_player_info(), pf_attack_possible(), pf_get_move_scope(), phasemode_help(), pick_free_tech(), pick_random_tech_to_lose(), player_angry_citizens(), player_can_place_extra(), player_can_see_city_externals(), player_get_expected_income(), player_has_really_useful_tech_parasite(), player_mood(), player_set_to_ai_mode(), player_set_under_human_control(), player_tech_upkeep(), player_tile_init(), player_update_last_war_action(), plrdlg_col_state(), population_to_text(), popup_add_menu(), popup_diplomatic_objects(), popup_info_text(), rank_users(), real_city_dialog_refresh(), real_menus_init(), real_menus_update(), real_output_window_append(), real_set_client_page(), really_handle_city_buy(), redraw_info_city_dialog(), redraw_unit_info_label(), reestablish_city_trade_routes(), remove_player_command(), report_top_cities(), request_unit_pillage(), research_get(), research_goal_bulbs_required(), research_invention_set(), research_invention_state(), research_iter_init(), research_name_translation(), research_player_iter_init(), research_pretty_name(), research_rule_name(), research_total_bulbs_required(), researches_init(), reset_all_start_commands(), reset_command(), restrict_infra(), revolentype_length(), revolution_length(), rs_max_city_radius_sq(), sanity_check_ruleset_data(), save_actions_ruleset(), save_cities_ruleset(), save_game_ruleset(), mr_menu::save_image(), scan_score_log(), science_dialog_text(), sell_random_unit(), send_city_info(), send_current_history_report(), send_delegation_info(), send_game_info(), send_pending_events(), send_tile_info(), send_turn_done(), send_year_to_clients(), server_ai_level(), server_remove_player(), server_sniff_all_input(), set_ai_level(), set_default_city_manager(), setting_is_free_to_change(), settings_game_load(), settler_map_iterate(), sg_load_game(), sg_load_game(), sg_load_history(), sg_load_history(), sg_load_map_owner(), sg_load_map_owner(), sg_load_player_city(), sg_load_player_city_citizens(), sg_load_player_city_citizens(), sg_load_player_main(), sg_load_player_main(), sg_load_player_unit(), sg_load_player_unit(), sg_load_player_vision(), sg_load_player_vision(), sg_load_players(), sg_load_players(), sg_load_players_basic(), sg_load_players_basic(), sg_load_sanitycheck(), sg_load_sanitycheck(), sg_load_settings(), sg_load_settings(), sg_save_game(), sg_save_history(), sg_save_player_cities(), sg_save_player_units(), sg_save_player_vision(), diplo_wdg::show_menu(), show_new_turn_info(), show_players(), fc_client::slot_pregame_observe(), split_player(), spy_poison(), spy_steal_popup_shared(), spy_steal_shared(), spy_steal_some_maps(), srv_main(), srv_ready(), srv_running(), start_command(), fc_client::start_page_menu(), start_revolution(), steal_a_tech(), suggest_tech_exchange(), summon_barbarians(), switch_city_callback(), tdc_plr_get(), tech_can_be_stolen(), tech_transfer(), techs_have_fixed_costs(), techs_precalc_data(), test_unit_can_airlift_to(), text_happiness_cities(), text_happiness_nationality(), tile_border_source_radius_sq(), tile_border_source_strength(), tile_data_cache_new(), tile_set_owner(), timeout_action(), timing_log_real(), toggle_ai_player_direct(), trade_base_between_cities(), trade_from_route(), transfer_city(), transform_unit(), tri_req_active_turns(), turns_to_tech_loss(), unit_attack_civilian_casualties(), unit_attack_units_at_tile_result(), unit_being_aggressive(), unit_bombard_rate(), unit_bribe_cost(), unit_can_do_action_now(), unit_current_goods(), unit_description(), unit_did_action(), unit_focus_advance(), unit_get_goods(), unit_move_consequences(), unit_virtual_create(), unitwaittime_callback(), unleash_barbarians(), untargeted_revolution_allowed(), fc_client::update_buttons(), update_city_activity(), update_diplomatics(), city_dialog::update_info_label(), fc_client::update_info_label(), update_intel_wonder_dialog(), update_national_activities(), update_player_tile_last_seen(), update_revolution(), update_start_page_buttons(), update_timeout(), utype_build_shield_cost(), utype_build_shield_cost_base(), victory_enabled(), wipe_unit_full(), wonder_built(), wonder_destroyed(), wonder_visible_to_player(), world_peace_update(), write_init_script(), and year_suffix().

## ◆ info [2/2]

bool civ_game::info

Definition at line 254 of file game.h.

## ◆ init_vis_radius_sq

int civ_game::init_vis_radius_sq

Definition at line 152 of file game.h.

Referenced by init_new_game(), load_ruleset_game(), place_starting_unit(), and save_game_ruleset().

## ◆ ip_hide

bool civ_game::ip_hide

Definition at line 174 of file game.h.

Referenced by establish_new_connection(), and package_conn_info().

## ◆ kick_time

int civ_game::kick_time

Definition at line 153 of file game.h.

Referenced by conn_is_kicked(), and game_defaults().

## ◆ killunhomed

int civ_game::killunhomed

Definition at line 154 of file game.h.

Referenced by game_defaults(), player_restore_units(), and unit_gain_hitpoints().

## ◆ last_ping

time_t civ_game::last_ping

Definition at line 210 of file game.h.

Referenced by game_defaults(), and server_sniff_all_input().

## ◆ last_updated_year

bool civ_game::last_updated_year

Definition at line 236 of file game.h.

Referenced by game_defaults(), player_tile_init(), sg_load_savefile(), sg_load_savefile(), sg_save_savefile(), and update_player_tile_last_seen().

## ◆ luadata

struct section_file* civ_game::luadata

Definition at line 247 of file game.h.

Referenced by api_luadata_get_str(), game_ruleset_free(), game_ruleset_init(), load_rulesetdir(), save_luadata(), and sg_load_savefile().

## ◆ max_players

int civ_game::max_players

Definition at line 156 of file game.h.

Referenced by aifill(), civil_war(), connection_attach_real(), create_command_newcomer(), create_command_pregame(), game_defaults(), handle_edit_player_create(), is_allowed_to_take(), sg_load_map_startpos(), sg_load_map_startpos(), sg_load_sanitycheck(), sg_load_sanitycheck(), srv_ready(), start_command(), and take_command().

## ◆ max_size

int civ_game::max_size

Definition at line 252 of file game.h.

Referenced by event_cache_data_new(), and game_defaults().

## ◆ maxconnectionsperhost

int civ_game::maxconnectionsperhost

Definition at line 155 of file game.h.

Referenced by game_defaults(), and server_accept_connection().

## ◆ [struct]

struct { ... } civ_game::meta_info

Referenced by game_defaults(), get_user_meta_message_string(), main(), and set_user_meta_message_string().

## ◆ mgr_distance

int civ_game::mgr_distance

Definition at line 158 of file game.h.

Referenced by check_city_migrations_player(), dai_effect_value(), and game_defaults().

## ◆ mgr_foodneeded

bool civ_game::mgr_foodneeded

Definition at line 159 of file game.h.

Referenced by do_city_migration(), and game_defaults().

## ◆ mgr_nationchance

int civ_game::mgr_nationchance

Definition at line 160 of file game.h.

Referenced by check_city_migrations(), check_city_migrations_player(), and game_defaults().

## ◆ mgr_turninterval

int civ_game::mgr_turninterval

Definition at line 161 of file game.h.

Referenced by check_city_migrations(), check_city_migrations_player(), and game_defaults().

## ◆ mgr_worldchance

int civ_game::mgr_worldchance

Definition at line 162 of file game.h.

Referenced by check_city_migrations(), check_city_migrations_player(), and game_defaults().

## ◆ migration

bool civ_game::migration

Definition at line 164 of file game.h.

Referenced by check_city_migrations(), end_turn(), and game_defaults().

## ◆ min_players

int civ_game::min_players

Definition at line 166 of file game.h.

Referenced by game_defaults(), and start_command().

## ◆ multiresearch

bool civ_game::multiresearch

Definition at line 163 of file game.h.

Referenced by api_edit_player_give_bulbs(), api_methods_player_tech_bulbs(), choose_tech(), game_defaults(), research_apply_penalty(), sg_load_researches(), sg_save_researches(), and update_bulbs().

## ◆ [struct]

struct { ... } civ_game::mutexes

Referenced by create_city(), remove_city(), server_quit(), srv_init(), and texai_check_messages().

## ◆ named_teams

int civ_game::named_teams

Definition at line 294 of file game.h.

Referenced by load_ruleset_game(), and save_game_ruleset().

## ◆ nationlist

char* civ_game::nationlist

Definition at line 282 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), ruledit_gui::launch_now(), load_ruleset_nations(), and main().

## ◆ nationset

char civ_game::nationset[MAX_LEN_NAME]

Definition at line 157 of file game.h.

Referenced by current_nationset(), and fit_nationset_to_players().

## ◆ natural_city_names

bool civ_game::natural_city_names

Definition at line 167 of file game.h.

Referenced by evaluate_city_name_priority(), and game_defaults().

## ◆ nc_agovs

char** civ_game::nc_agovs

Definition at line 286 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), and load_ruleset_nations().

## ◆ nc_astyles

char** civ_game::nc_astyles

Definition at line 292 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), and load_ruleset_nations().

## ◆ nc_aterrs

char** civ_game::nc_aterrs

Definition at line 289 of file game.h.

Referenced by game_ruleset_free(), game_ruleset_init(), and load_ruleset_nations().

## ◆ netwait

int civ_game::netwait

Definition at line 168 of file game.h.

Referenced by flush_packets(), and game_defaults().

## ◆ nuclear_winter

bool civ_game::nuclear_winter

Definition at line 231 of file game.h.

## ◆ nuclear_winter_percent

int civ_game::nuclear_winter_percent

Definition at line 232 of file game.h.

Referenced by end_turn(), and game_defaults().

## ◆ num_phases

int civ_game::num_phases

Definition at line 169 of file game.h.

Referenced by begin_phase(), begin_turn(), and srv_running().

## ◆ occupychance

int civ_game::occupychance

Definition at line 170 of file game.h.

Referenced by dai_military_rampage(), do_attack(), and game_defaults().

## ◆ onsetbarbarian

int civ_game::onsetbarbarian

Definition at line 171 of file game.h.

Referenced by game_defaults(), summon_barbarians(), and unleash_barbarians().

## ◆ orig_game_version

char civ_game::orig_game_version[MAX_LEN_NAME]

Definition at line 221 of file game.h.

Referenced by sg_load_savefile(), sg_load_savefile(), sg_save_savefile(), srv_main(), and srv_prepare().

## ◆ phase_mode_stored

int civ_game::phase_mode_stored

Definition at line 216 of file game.h.

Referenced by begin_turn(), game_defaults(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ phase_timer

struct timer* civ_game::phase_timer

Definition at line 211 of file game.h.

Referenced by begin_phase(), increase_timeout_because_unit_moved(), send_game_info(), server_quit(), server_sniff_all_input(), and sg_save_game().

## ◆ pingtime

int civ_game::pingtime

Definition at line 172 of file game.h.

Referenced by game_defaults(), and server_sniff_all_input().

## ◆ pingtimeout

int civ_game::pingtimeout

Definition at line 173 of file game.h.

Referenced by game_defaults(), and server_sniff_all_input().

## ◆ plr_bg_color

struct rgbcolor* civ_game::plr_bg_color

Definition at line 103 of file game.h.

Referenced by game_defaults(), game_ruleset_free(), handle_ruleset_game(), load_ruleset_game(), save_game_ruleset(), send_ruleset_game(), and tileset_background_init().

## ◆ plr_colors

struct rgbcolor_list* civ_game::plr_colors

Definition at line 245 of file game.h.

Referenced by assign_player_colors(), game_defaults(), playercolor_add(), playercolor_count(), playercolor_free(), playercolor_get(), playercolor_init(), and save_game_ruleset().

## ◆ plrcolormode

enum plrcolor_mode civ_game::plrcolormode

Definition at line 128 of file game.h.

Referenced by assign_player_colors(), game_defaults(), player_color_changeable(), and player_preferred_color().

## ◆ random_move_time

struct player* civ_game::random_move_time

Definition at line 276 of file game.h.

Referenced by game_defaults(), random_movements(), and unit_move_to_tile_test().

## ◆ ransom_gold

int civ_game::ransom_gold

Definition at line 175 of file game.h.

Referenced by collect_ransom(), load_ruleset_game(), and save_game_ruleset().

## ◆ razechance

int civ_game::razechance

Definition at line 176 of file game.h.

Referenced by game_defaults(), and raze_city().

## ◆ revealmap

unsigned civ_game::revealmap

Definition at line 177 of file game.h.

Referenced by game_defaults(), kill_player(), sg_load_player_vision(), sg_load_player_vision(), and srv_ready().

## ◆ revolution_length

int civ_game::revolution_length

Definition at line 178 of file game.h.

Referenced by game_defaults(), and revolentype_length().

## ◆ [struct]

struct { ... } civ_game::rgame

Referenced by city_build_free_buildings(), give_initial_techs(), handle_ruleset_game(), helptext_advance(), helptext_building(), helptext_nation(), load_ruleset_game(), nation_has_initial_tech(), sanity_check_ruleset_data(), save_game_ruleset(), and send_ruleset_game().

## ◆ [struct]

struct { ... } civ_game::ruledit

Referenced by tab_misc::flush_widgets(), game_ruleset_free(), game_ruleset_init(), ruledit_gui::launch_now(), load_city_name_list(), load_ruleset_game(), load_ruleset_nations(), main(), tab_misc::ruleset_loaded(), sanity_check_ruleset_data(), save_game_ruleset(), and save_nations_ruleset().

## ◆ ruleset_capabilities

char* civ_game::ruleset_capabilities

Definition at line 86 of file game.h.

Referenced by game_defaults(), game_ruleset_free(), load_ruleset_game(), save_game_ruleset(), and sg_load_savefile().

## ◆ ruleset_description

char* civ_game::ruleset_description

Definition at line 85 of file game.h.

Referenced by boot_help_texts(), game_defaults(), game_ruleset_free(), handle_ruleset_control(), handle_ruleset_description_part(), load_ruleset_game(), save_game_ruleset(), and send_ruleset_control().

## ◆ ruleset_init

bool civ_game::ruleset_init

Definition at line 116 of file game.h.

Referenced by client_game_free(), client_main(), handle_ruleset_control(), and insert_generated_text().

## ◆ ruleset_ready

bool civ_game::ruleset_ready

Definition at line 117 of file game.h.

Referenced by client_game_free(), handle_ruleset_control(), handle_rulesets_ready(), real_menus_init(), and tilespec_reread().

## ◆ ruleset_summary

char* civ_game::ruleset_summary

Definition at line 84 of file game.h.

Referenced by boot_help_texts(), game_defaults(), game_ruleset_free(), handle_ruleset_summary(), load_ruleset_game(), sanity_check_metadata(), save_game_ruleset(), send_ruleset_control(), and show_ruleset_info().

## ◆ rulesetdir

char civ_game::rulesetdir[MAX_LEN_NAME]

Definition at line 239 of file game.h.

Referenced by api_methods_game_rulesetdir(), game_defaults(), load_rulesets(), main(), manual_start(), reload_rulesets_settings(), ruledit_gui::rulesetdir_given(), set_rulesetdir(), ruledit_gui::setup(), sg_load_ruleset(), sg_load_savefile(), sg_save_savefile(), show_settings(), srv_prepare(), and write_init_script().

## ◆ save_compress_level

int civ_game::save_compress_level

Definition at line 181 of file game.h.

Referenced by game_defaults(), and save_game().

## ◆ save_compress_type

enum fz_method civ_game::save_compress_type

Definition at line 182 of file game.h.

Referenced by game_defaults(), and save_game().

## ◆ save_frequency

int civ_game::save_frequency

Definition at line 184 of file game.h.

Referenced by server_sniff_all_input().

## ◆ save_known

bool civ_game::save_known

Definition at line 259 of file game.h.

Referenced by game_defaults(), and sg_save_map_known().

## ◆ save_name

char civ_game::save_name[MAX_LEN_NAME]

Definition at line 220 of file game.h.

Referenced by game_defaults(), mapimg_command(), save_all_map_images(), save_game(), and save_game_auto().

## ◆ save_nturns

int civ_game::save_nturns

Definition at line 183 of file game.h.

Referenced by game_defaults(), srv_running(), and srv_scores().

## ◆ [struct]

struct { ... } civ_game::save_options

Referenced by game_defaults(), sg_save_map_known(), sg_save_map_startpos(), and sg_save_player_vision().

## ◆ save_private_map

bool civ_game::save_private_map

Definition at line 262 of file game.h.

Referenced by game_defaults(), and sg_save_player_vision().

## ◆ save_starts

bool civ_game::save_starts

Definition at line 261 of file game.h.

Referenced by game_defaults(), and sg_save_map_startpos().

## ◆ save_timer

struct timer* civ_game::save_timer

Definition at line 217 of file game.h.

Referenced by autosaves_callback(), server_quit(), server_sniff_all_input(), and srv_running().

## ◆ savepalace

bool civ_game::savepalace

Definition at line 187 of file game.h.

Referenced by build_free_small_wonders(), city_build_free_buildings(), game_defaults(), kill_player(), and player_loot_player().

## ◆ scenario

struct packet_scenario_info civ_game::scenario

Definition at line 87 of file game.h.

Referenced by actres_possible(), can_player_build_unit_direct(), check_terrain_change(), city_gold_worth(), client_can_pick_nation(), contemplate_new_city(), domestic_advisor_choose_build(), expl_act_not_enabl(), find_city_or_settler_near_tile(), game_defaults(), generator_validate(), get_settlers(), handle_edit_game(), handle_game_info(), handle_save_scenario(), handle_scenario_info(), helptext_unit(), pick_a_nation(), send_scenario_info(), set_rulesetdir(), setting_is_free_to_change(), sg_load_map(), sg_load_map(), sg_load_map_tiles_extras(), sg_load_map_tiles_resources(), sg_load_players_basic(), sg_load_players_basic(), sg_load_random(), sg_load_savefile(), sg_load_scenario(), sg_load_scenario(), sg_save_game(), sg_save_map(), sg_save_random(), sg_save_scenario(), srv_ready(), start_game(), units_contain_cityfounder(), and utype_is_cityfounder().

## ◆ scenario_desc

struct packet_scenario_description civ_game::scenario_desc

Definition at line 88 of file game.h.

Referenced by game_defaults(), handle_edit_scenario_desc(), handle_scenario_description(), send_scenario_description(), sg_load_scenario(), sg_load_scenario(), and sg_save_scenario().

## ◆ scorefile

char civ_game::scorefile[MAX_LEN_PATH]

Definition at line 224 of file game.h.

Referenced by log_civ_score_now(), and scan_score_log().

## ◆ scorelog

bool civ_game::scorelog

Definition at line 222 of file game.h.

Referenced by game_defaults(), and log_civ_score_now().

## ◆ scoreloglevel

enum scorelog_level civ_game::scoreloglevel

Definition at line 223 of file game.h.

Referenced by game_defaults(), and log_civ_score_now().

## ◆ scoreturn

int civ_game::scoreturn

Definition at line 225 of file game.h.

Referenced by game_defaults(), make_history_report(), sg_load_game(), sg_load_game(), and sg_save_game().

## ◆ seed

randseed civ_game::seed

Definition at line 227 of file game.h.

Referenced by game_defaults(), init_game_seed(), and sg_save_game().

## ◆ seed_setting

randseed civ_game::seed_setting

Definition at line 226 of file game.h.

Referenced by init_game_seed().

## ◆ [struct]

struct { ... } civ_game::server

Referenced by action_target_neg_util(), ai_init(), ai_traits_init(), aifill(), api_edit_give_technology(), api_edit_player_give_bulbs(), api_luadata_get_str(), api_methods_game_rulesetdir(), api_methods_player_tech_bulbs(), assign_player_colors(), autosaves_callback(), begin_phase(), begin_turn(), build_free_small_wonders(), check_city_migrations(), check_city_migrations_player(), check_for_full_turn_done(), check_for_game_over(), choose_tech(), city_build_free_buildings(), city_incite_cost(), city_increase_size(), civil_war(), civil_war_possible(), collect_ransom(), conn_is_kicked(), connection_attach_real(), connection_detach(), connectmsg_command(), create_city(), create_command_newcomer(), create_command_pregame(), current_nationset(), cut_lagging_connection(), dai_choose_diplomat_offensive(), dai_effect_value(), dai_goldequiv_clause(), dai_military_rampage(), debug_command(), destroy_extra(), diplomat_escape_full(), diplomat_may_lose_gold(), do_attack(), do_capture_units(), do_city_migration(), do_tech_parasite_effects(), do_unit_upgrade(), do_upgrade_effects(), end_turn(), establish_new_connection(), evaluate_city_name_priority(), event_cache_add_for_all(), event_cache_add_for_global_observers(), event_cache_add_for_player(), event_cache_add_for_players(), event_cache_data_new(), event_cache_match(), event_cache_remove_old(), find_dispersed_position(), fit_nationset_to_players(), flush_packets(), tab_misc::flush_widgets(), game_defaults(), game_ruleset_free(), game_ruleset_init(), get_user_meta_message_string(), give_immediate_free_tech(), give_midgame_initial_units(), handle_diplomacy_accept_treaty_req(), handle_edit_player_create(), handle_login_request(), increase_timeout_because_unit_moved(), init_game_seed(), init_new_game(), is_allowed_city_name(), is_allowed_to_take(), is_valid_start_pos(), kill_player(), ruledit_gui::launch_now(), load_city_name_list(), load_ruleset_cities(), load_ruleset_game(), load_ruleset_nations(), load_rulesetdir(), load_rulesets(), log_civ_score_now(), main(), main(), make_contact(), make_history_report(), manual_start(), map_change_seen(), map_claim_base(), mapimg_command(), package_conn_info(), place_starting_unit(), player_color_changeable(), player_loot_player(), player_preferred_color(), player_restore_units(), player_tile_init(), playercolor_add(), playercolor_count(), playercolor_free(), playercolor_get(), playercolor_init(), random_movements(), raze_city(), reload_rulesets_settings(), remove_city(), report_demographics(), research_apply_penalty(), revolentype_length(), tab_misc::ruleset_loaded(), ruledit_gui::rulesetdir_given(), sanity_check_ruleset_data(), save_all_map_images(), save_cities_ruleset(), save_game(), save_game_auto(), save_game_ruleset(), save_luadata(), save_nation(), save_nations_ruleset(), scan_score_log(), send_game_info(), send_pending_events(), send_tile_info(), server_accept_connection(), server_game_init(), server_quit(), server_sniff_all_input(), set_rulesetdir(), set_user_meta_message_string(), settings_game_load(), settings_game_reset(), settings_game_save(), settings_game_start(), ruledit_gui::setup(), sg_load_game(), sg_load_game(), sg_load_map_startpos(), sg_load_map_startpos(), sg_load_player_cities(), sg_load_player_cities(), sg_load_player_vision(), sg_load_player_vision(), sg_load_researches(), sg_load_ruleset(), sg_load_sanitycheck(), sg_load_sanitycheck(), sg_load_savefile(), sg_load_savefile(), sg_load_settings(), sg_load_settings(), sg_save_game(), sg_save_map_known(), sg_save_map_startpos(), sg_save_player_vision(), sg_save_researches(), sg_save_savefile(), show_settings(), spaceship_calc_derived(), srv_init(), srv_main(), srv_prepare(), srv_ready(), srv_running(), srv_scores(), start_command(), steal_a_tech(), summon_barbarians(), take_command(), tech_transfer(), texai_check_messages(), timeout_callback(), timeout_command(), transfer_city(), try_summon_barbarians(), unit_can_do_action_now(), unit_gain_hitpoints(), unit_move(), unit_move_to_tile_test(), unit_survive_autoattack(), unleash_barbarians(), update_bulbs(), update_player_tile_last_seen(), update_timeout(), world_peace_update(), and write_init_script().

## ◆ settings_gamestart_valid

bool civ_game::settings_gamestart_valid

Definition at line 243 of file game.h.

Referenced by settings_game_load(), settings_game_reset(), settings_game_save(), and settings_game_start().

## ◆ spaceship_travel_pct

int civ_game::spaceship_travel_pct

Definition at line 179 of file game.h.

Referenced by game_defaults(), and spaceship_calc_derived().

## ◆ start_city

bool civ_game::start_city

Definition at line 190 of file game.h.

Referenced by init_new_game(), is_valid_start_pos(), and start_command().

## ◆ start_units

char civ_game::start_units[MAX_LEN_STARTUNIT]

Definition at line 189 of file game.h.

Referenced by game_defaults(), give_midgame_initial_units(), init_new_game(), srv_ready(), and start_command().

## ◆ start_year

int civ_game::start_year

Definition at line 191 of file game.h.

Referenced by game_defaults(), load_ruleset_game(), log_civ_score_now(), save_game_ruleset(), and srv_ready().

## ◆ tcptimeout

int civ_game::tcptimeout

Definition at line 195 of file game.h.

Referenced by cut_lagging_connection(), and game_defaults().

## ◆ techloss_restore

int civ_game::techloss_restore

Definition at line 192 of file game.h.

Referenced by update_bulbs().

## ◆ techlost_donor

int civ_game::techlost_donor

Definition at line 193 of file game.h.

Referenced by game_defaults(), and tech_transfer().

## ◆ techlost_recv

int civ_game::techlost_recv

Definition at line 194 of file game.h.

Referenced by game_defaults(), and tech_transfer().

## ◆ techpenalty

int civ_game::techpenalty

Definition at line 196 of file game.h.

Referenced by api_edit_player_give_bulbs(), api_methods_player_tech_bulbs(), choose_tech(), and game_defaults().

## ◆ threaded_save

bool civ_game::threaded_save

Definition at line 180 of file game.h.

Referenced by save_game().

## ◆ timeoutaddenemymove

int civ_game::timeoutaddenemymove

Definition at line 208 of file game.h.

Referenced by game_defaults(), increase_timeout_because_unit_moved(), and unit_move().

## ◆ timeoutcounter

int civ_game::timeoutcounter

Definition at line 207 of file game.h.

Referenced by game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), timeout_command(), and update_timeout().

## ◆ timeoutinc

int civ_game::timeoutinc

Definition at line 204 of file game.h.

Referenced by game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), timeout_command(), and update_timeout().

## ◆ timeoutincmult

int civ_game::timeoutincmult

Definition at line 205 of file game.h.

Referenced by game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), timeout_command(), and update_timeout().

## ◆ timeoutint

int civ_game::timeoutint

Definition at line 203 of file game.h.

Referenced by game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), timeout_command(), and update_timeout().

## ◆ timeoutintinc

int civ_game::timeoutintinc

Definition at line 206 of file game.h.

Referenced by game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), timeout_command(), and update_timeout().

## ◆ tinfo

struct packet_timeout_info civ_game::tinfo

Definition at line 91 of file game.h.

Referenced by begin_phase(), first_timeout_action(), get_timeout_label_text(), handle_timeout_info(), increase_timeout_because_unit_moved(), real_timer_callback(), send_game_info(), server_sniff_all_input(), start_turn_change_wait(), and timeout_action().

## ◆ trait_dist

enum trait_dist_mode civ_game::trait_dist

Definition at line 165 of file game.h.

Referenced by ai_traits_init(), and game_defaults().

## ◆ turn_change_time

float civ_game::turn_change_time

Definition at line 218 of file game.h.

Referenced by begin_phase(), server_game_init(), sg_load_game(), sg_load_game(), sg_save_game(), and srv_running().

## ◆ turnblock

bool civ_game::turnblock

Definition at line 197 of file game.h.

Referenced by begin_phase(), check_for_full_turn_done(), establish_new_connection(), and game_defaults().

## ◆ turns

int civ_game::turns

Definition at line 251 of file game.h.

Referenced by event_cache_add_for_all(), event_cache_add_for_global_observers(), event_cache_add_for_player(), event_cache_add_for_players(), event_cache_match(), event_cache_remove_old(), and game_defaults().

## ◆ type

char civ_game::type[20]

Definition at line 267 of file game.h.

Referenced by main().

## ◆ unit_deallocate

void(* civ_game::unit_deallocate) (int unit_id)

Definition at line 301 of file game.h.

Referenced by game_remove_unit(), and srv_init().

## ◆ unitwaittime

int civ_game::unitwaittime

Definition at line 198 of file game.h.

Referenced by game_defaults(), timeout_callback(), and unit_can_do_action_now().

## ◆ upgrade_veteran_loss

int civ_game::upgrade_veteran_loss

Definition at line 199 of file game.h.

Referenced by do_unit_upgrade(), load_ruleset_game(), and save_game_ruleset().

## ◆ user_message

char civ_game::user_message[256]

Definition at line 266 of file game.h.

Referenced by game_defaults(), get_user_meta_message_string(), and set_user_meta_message_string().

## ◆ veteran

struct veteran_system* civ_game::veteran

Definition at line 101 of file game.h.

Referenced by game_defaults(), game_ruleset_free(), handle_ruleset_game(), helptext_unit(), insert_generated_text(), load_ruleset_units(), save_units_ruleset(), send_ruleset_game(), and utype_veteran_system().

## ◆ vision_reveal_tiles

bool civ_game::vision_reveal_tiles

Definition at line 200 of file game.h.

Referenced by create_city(), destroy_extra(), load_ruleset_cities(), map_claim_base(), save_cities_ruleset(), sg_load_player_cities(), sg_load_player_cities(), and transfer_city().

## ◆ web_client_connections

struct conn_list* civ_game::web_client_connections

Definition at line 99 of file game.h.

Referenced by close_connection(), close_connections_and_socket(), handle_client_info(), init_connections(), and really_close_connections().

## ◆ world_peace_start

int civ_game::world_peace_start

Definition at line 238 of file game.h.

Referenced by check_for_game_over(), game_defaults(), sg_load_game(), sg_load_game(), sg_save_game(), and world_peace_update().